CVE-2006-5276 Detail

Current Description

Stack-based buffer overflow in the DCE/RPC preprocessor in Snort before 2.6.1.3, and 2.7 before beta 2; and Sourcefire Intrusion Sensor; allows remote attackers to execute arbitrary code via crafted SMB traffic.


View Analysis Description

Evaluator Description

All affected Sourcefire Intrustion Sensor products are only vulnerable if they are used with SEUs prior to SEU 64.

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  N/A
NVD score not yet provided.


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have not published a CVSS score for this CVE at this time. NVD Analysts use publicly available information at the time of analysis to associate CVSS vector strings.

Evaluator Solution

Upgrade to the latest version of Snort (2.6.1.3 or later), available from the Snort Web site.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://fedoranews.org/updates/FEDORA-2007-206.shtml
http://iss.net/threats/257.html Vendor Advisory 
http://security.gentoo.org/glsa/glsa-200703-01.xml
http://www.kb.cert.org/vuls/id/196240 US Government Resource 
http://www.securityfocus.com/archive/1/461810/100/0/threaded
http://www.securityfocus.com/bid/22616
http://www.securitytracker.com/id?1017669
http://www.securitytracker.com/id?1017670
http://www.snort.org/docs/advisory-2007-02-19.html Vendor Advisory 
http://www.us-cert.gov/cas/techalerts/TA07-050A.html Third Party Advisory  US Government Resource 
http://www.vupen.com/english/advisories/2007/0656
http://www.vupen.com/english/advisories/2007/0668
http://www116.nortelnetworks.com/pub/repository/CLARIFY/DOCUMENT/2007/08/021923-01.pdf
http://www130.nortelnetworks.com/go/main.jsp?cscat=BLTNDETAIL&DocumentOID=540173
https://bugzilla.redhat.com/show_bug.cgi?id=229265
https://exchange.xforce.ibmcloud.com/vulnerabilities/31275
https://www.exploit-db.com/exploits/3362

Weakness Enumeration

CWE-ID CWE Name Source
NVD-CWE-Other Other cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

4 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2006-5276
NVD Published Date:
02/19/2007
NVD Last Modified:
10/17/2018
Source:
MITRE